#
# spec file for package rubygem-bcrypt
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-bcrypt
Version:        3.1.20
Release:        1.4
%define mod_name bcrypt
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/bcrypt-ruby/bcrypt-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-bcrypt-rpmlintrc
Source2:        gem2rpm.yml
Summary:        OpenBSD's bcrypt() password hashing algorithm
License:        MIT

%description
bcrypt() is a sophisticated and secure hash algorithm designed by The
OpenBSD project
for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for
safely handling
passwords.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG COPYING README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- 3.1.20 Nov 17 2023
  - Limit packaged files -- decrease gem filesize by ~28%% [GH #272 by @pusewicz]
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- 3.1.19 June 22 2023
  - Deprecate passing the third argument to `BCrypt::Engine.hash_secret` [GH #207 by @sergey-alekseev]
  - Add GC guards so the C compiler won't optimize out references [GH #270]
* Mon Jun 13 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.1.18
  * Unlock GVL when calculating hashes and salts [GH #260]
  * Fix compilation warnings in `ext/mri/bcrypt_ext.c` [GH #261]
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.1.17
  see installed CHANGELOG
  3.1.17 Mar 14 2022
  - Fix regex in validators to use \A and \z instead of ^ and $ [GH #121]
  - Truncate secrets greater than 72 bytes in hash_secret [GH #255]
  - Assorted test and doc improvements
* Sat Sep 12 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.1.16
  * Fix compilation on FreeBSD. [GH #234]
* Sat Aug 22 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.1.15
  * no changelog found
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.1.13
  * no changelog entry found
* Wed May 16 2018 factory-auto@kulow.org
- updated to version 3.1.12
  see installed CHANGELOG
  3.1.12 May 16 2018
  - Add support for Ruby 2.3, 2.4, and 2.5 in compiled Windows binaries
  - Fix compatibility with libxcrypt [GH #164 by @besser82]
* Mon Jul  3 2017 mrueckert@suse.de
- add rpmlintrc as we run into rpmlint score limits because of the
  C source files we ship.
* Mon Mar  7 2016 coolo@suse.com
- updated to version 3.1.11
  see installed CHANGELOG
  3.1.11 Mar 06 2016
  - Add support for Ruby 2.2 in compiled Windows binaries
* Tue Feb 10 2015 coolo@suse.com
- updated to version 3.1.10
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Mar 15 2014 coolo@suse.com
- updated to version 3.1.7
  - Rebuild corrupt Java binary version of gem [GH #90]
  - The 2.1 support for Windows binaries alleged in 3.1.3 was a lie -- documentation removed
* Sat Feb 22 2014 coolo@suse.com
- initial package
